=begin
ZoomView_dj Ver. 3.1 
Copyright 2012, July 23
DukeJazz: by James Cochran
Zoom + Tools + views + sytles + display boxes(API Sketchup.send_action tools) 
Simple One button Double zoom, style and view (API send_action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
Copyright 2012, July 23
-fix a 1-6 or 7 depth action. (good) nice

2012, June 28
-Turn into one button menu control for many more zoom and view features

2012, June 14
- add 6 feature to zoomWindowSelect_dj 
=end

require 'sketchup.rb'

def zoomView_dj
dj_zoom = "zoomWindowSelect_dj"
dj_view = "same"
dj_styles ="same"
dj_display = "none"
Sketchup.send_action("viewZoomToSelection:")


#inputbox
lis=["|zoomWindowSelect_dj|zoomSelect_dj|zoomFreehand_dj|zoomCircleTool_dj|zoomRectangleTool_dj|zoomLineTool_dj|zoomPushPull_dj|zoomPolygon_dj|zoomScale_dj|zoomMove_dj|zoomRotate_dj|zoomExtents_dj|zoomErase_dj"]
lis1=["same|viewPerspective|viewFront|viewBack|viewLeft|viewRight|viewTop|viewBottom|viewIso|viewUndo|setAxonometric   |cameraOrtho|zoomout_dj"]
lis2=["same|textures|transparency|wire|hidden lines|shading|shadows|monochrome|profiles|extension|jitter|showAxes"]
lis3=["none|fixNonPlanarFaces|non-planar check|display outliner|showRubyPanel|create face loop|components Window|getPhotoTexture|preferences|info Window|soften Edges Window|layer Window|accelerators window|page Window|fog box"]

#inputbox
prompts = ["Zoom","View","Styles","Display"]
values = [dj_zoom,dj_view,dj_styles,dj_display]
lists = [lis,lis1,lis2,lis3]
#inputbox
results = inputbox prompts, values, lists, "ZoomView_dj Ver. 3.0"
#Sketchup.send_action("selectScaleTool:");Sketchup.send_action(10526) if not results
if not results then Sketchup.send_action("viewUndo:");return;end 
dj_zoom,dj_view,dj_styles,dj_display = results
Sketchup.send_action(10526)
ans = case dj_display.to_s
when "fixNonPlanarFaces" then Sketchup.send_action("fixNonPlanarFaces:")
when "non-planar check" then Sketchup.send_action(21476)
when "display outliner" then Sketchup.send_action(21513)
when "showRubyPanel" then Sketchup.send_action("showRubyPanel:")
when "create face loop" then Sketchup.send_action(21056)
when "components Window" then Sketchup.send_action(21060)
when "getPhotoTexture" then Sketchup.send_action("getPhotoTexture:")
when "preferences" then Sketchup.send_action(21076)  
when "info Window" then Sketchup.send_action(21488)  
when "soften Edges Window" then Sketchup.send_action(21490) 
when "layer Window" then Sketchup.send_action(21354) 
when "accelerators window" then Sketchup.send_action(21477)
when "page Window" then Sketchup.send_action(21080)  
when "fog box" then Sketchup.send_action(21406)
end
ans = case dj_styles.to_s
when "transparency" then Sketchup.send_action(10513) 
when "shading" then Sketchup.send_action(10512)
when "wire" then Sketchup.send_action(10510) 
when "hidden lines" then Sketchup.send_action(10511)
when "shadows" then Sketchup.send_action(10602) 
when "profiles" then Sketchup.send_action(10603)
when "extension" then Sketchup.send_action(10604) 
when "jitter" then Sketchup.send_action(10605)
when "showAxes" then Sketchup.send_action("viewShowAxes:") 
when "textures" then Sketchup.send_action("renderTextures:")
when "monochrome" then Sketchup.send_action("renderMonochrome:")
end
ans = case dj_view.to_s
when "viewPerspective" then Sketchup.send_action("viewPerspective:") 
when "viewFront" then Sketchup.send_action("viewFront:")
when "viewBack" then Sketchup.send_action("viewBack:") 
when "viewLeft" then Sketchup.send_action("viewLeft:")
when "viewRight" then Sketchup.send_action("viewRight:") 
when "viewTop" then Sketchup.send_action("viewTop:")
when "viewBottom" then Sketchup.send_action("viewBottom:") 
when "viewIso" then Sketchup.send_action("viewIso")
when "viewUndo" then Sketchup.send_action("viewUndo:") 
when "setAxonometric   " then Sketchup.send_action(10507)
when "cameraOrtho" then Sketchup.send_action(10519) 
when "zoomout_dj" then Sketchup.send_action(10529)
end
ans = case dj_zoom.to_s
when "zoomWindowSelect_dj" then Sketchup.send_action("viewZoomToSelection:")
when "zoomSelect_dj" then Sketchup.send_action("selectSelectionTool:")
when "zoomFreehand_dj" then Sketchup.send_action("selectFreehandTool:")
when "zoomCircleTool_dj" then Sketchup.send_action("selectCircleTool:")
when "zoomRectangleTool_dj" then Sketchup.send_action("selectRectangleTool:")
when "zoomLineTool_dj" then Sketchup.send_action("selectLineTool:")
when "zoomPushPull_dj" then Sketchup.send_action("selectPushPullTool:")
when "zoomPolygon_dj" then Sketchup.send_action(21095)
when "zoomScale_dj" then Sketchup.send_action("selectScaleTool:")
when "zoomMove_dj" then Sketchup.send_action("selectMoveTool:")
when "zoomRotate_dj" then Sketchup.send_action("selectRotateTool:")
when "zoomExtents_dj" then Sketchup.send_action("viewZoomExtents:")
when "zoomErase_dj" then Sketchup.send_action("selectEraseTool:")
end
Sketchup.send_action(10526)
Sketchup.active_model.commit_operation
end

=begin
#m = context.add_submenu("ZoomView_dj")
def youSU_contextAa
UI.add_context_menu_handler do |context|
m.add_item("ZoomView_dj")  { zoomView_dj }
end  #do
end;# def
youSU_contextAa
=end
if(!$ZoomView_dj_menu_loaded) 
UI.menu("Plugins").add_item("ZoomView_dj") { zoomView_dj }

m= UI::Toolbar.new("ZoomView_dj")
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomView_dj")   { zoomView_dj }
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/ZoomView_dj.png" 
cmd.tooltip ="ZoomView_dj";cmd.status_bar_text = " Zoom select and Zoom Window...View and zoom Tools"
m.add_item(cmd)
m.show


#--------------------------------------------------------------------------
file_loaded("ZoomView_dj.rb")

end